<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="ru">
	<id>https://camokathomelab.servebeer.com/mediawiki/index.php?action=history&amp;feed=atom&amp;title=%D0%9E%D0%B1%D1%81%D1%83%D0%B6%D0%B4%D0%B5%D0%BD%D0%B8%D0%B5_MediaWiki%3AMonobook.css</id>
	<title>Обсуждение MediaWiki:Monobook.css - История изменений</title>
	<link rel="self" type="application/atom+xml" href="https://camokathomelab.servebeer.com/mediawiki/index.php?action=history&amp;feed=atom&amp;title=%D0%9E%D0%B1%D1%81%D1%83%D0%B6%D0%B4%D0%B5%D0%BD%D0%B8%D0%B5_MediaWiki%3AMonobook.css"/>
	<link rel="alternate" type="text/html" href="https://camokathomelab.servebeer.com/mediawiki/index.php?title=%D0%9E%D0%B1%D1%81%D1%83%D0%B6%D0%B4%D0%B5%D0%BD%D0%B8%D0%B5_MediaWiki:Monobook.css&amp;action=history"/>
	<updated>2026-07-17T01:19:23Z</updated>
	<subtitle>История изменений этой страницы в вики</subtitle>
	<generator>MediaWiki 1.45.3</generator>
	<entry>
		<id>https://camokathomelab.servebeer.com/mediawiki/index.php?title=%D0%9E%D0%B1%D1%81%D1%83%D0%B6%D0%B4%D0%B5%D0%BD%D0%B8%D0%B5_MediaWiki:Monobook.css&amp;diff=45688&amp;oldid=prev</id>
		<title>imported&gt;SunpriatBot: Lint: missing-end-tag</title>
		<link rel="alternate" type="text/html" href="https://camokathomelab.servebeer.com/mediawiki/index.php?title=%D0%9E%D0%B1%D1%81%D1%83%D0%B6%D0%B4%D0%B5%D0%BD%D0%B8%D0%B5_MediaWiki:Monobook.css&amp;diff=45688&amp;oldid=prev"/>
		<updated>2019-05-13T22:29:40Z</updated>

		<summary type="html">&lt;p&gt;Lint: missing-end-tag&lt;/p&gt;
&lt;p&gt;&lt;b&gt;Новая страница&lt;/b&gt;&lt;/p&gt;&lt;div&gt;{{tmbox|text=Данная страница сохранена для истории. Пожалуйста, для обсуждения изменений стилей этого скина используйте [[Обсуждение MediaWiki:Common.css|страницу обсуждения Common.css]].}}&lt;br /&gt;
{{CSS и JS файлы интерфейса MediaWiki‎}}&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
{{закрыто}}&lt;br /&gt;
__NOTOC__&lt;br /&gt;
&amp;#039;&amp;#039;&amp;#039;&amp;#039;&amp;#039;[[/Архив|Архив обсуждений за 2005 и 2006]]&amp;#039;&amp;#039;&amp;#039;&amp;#039;&amp;#039;&lt;br /&gt;
&lt;br /&gt;
==Уберу лишний код==&lt;br /&gt;
Если, конечно, не будет возражений) ∴ [[User:Alex Smotrov|Alex Smotrov]] 16:47, 4 октября 2007 (UTC)&lt;br /&gt;
&lt;br /&gt;
* дублирует [http://ru.wikipedia.org/skins-1.5/common/shared.css shared.css]:&lt;br /&gt;
&amp;lt;source lang=css&amp;gt;&lt;br /&gt;
/* для редактирования нулевой секции */&lt;br /&gt;
.editsection { float: right; margin-left: 5px; }&lt;br /&gt;
&amp;lt;/source&amp;gt;&lt;br /&gt;
&lt;br /&gt;
* видимо взятое из en.wp, но сейчас там такого больше нет, да и проблемы такой не вижу:&lt;br /&gt;
&amp;lt;source lang=css&amp;gt;&lt;br /&gt;
#p-cactions { width: 80%; }&lt;br /&gt;
    /* patch to prevent vertical stacking of tabs&lt;br /&gt;
    at top of page in IE6 at resolutions of 800x600;&lt;br /&gt;
    this stacking occured in main namespace pages only&lt;br /&gt;
    for sysops, as they have the additional &amp;quot;protect&amp;quot;&lt;br /&gt;
    and &amp;quot;delete&amp;quot; tabs at the top of the page;&lt;br /&gt;
    original width before patch was 76%;&lt;br /&gt;
    this patch prevents stacking in main namespace pages&lt;br /&gt;
    but not in certain special pages,&lt;br /&gt;
    which have tabs that are of greater width --Lowellian */&lt;br /&gt;
&amp;lt;/source&amp;gt;&lt;br /&gt;
&lt;br /&gt;
* В &amp;lt;code&amp;gt;#siteSub&amp;lt;/code&amp;gt; («Материал из Википедии — свободной энциклопедии») ссылок вообще нет:&lt;br /&gt;
&amp;lt;source lang=css&amp;gt;&lt;br /&gt;
#siteSub a {&lt;br /&gt;
 color: black;&lt;br /&gt;
 text-decoration: none;&lt;br /&gt;
 background-color: transparent;&lt;br /&gt;
 background-image: none;&lt;br /&gt;
 padding-right: 0;&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/source&amp;gt;&lt;br /&gt;
&lt;br /&gt;
* Сообщения [[MediaWiki:Alreadyloggedin]] видимо больше нет:&lt;br /&gt;
&amp;lt;source lang=css&amp;gt;&lt;br /&gt;
/* Display &amp;quot;User $1, you are already logged in!&amp;quot;&lt;br /&gt;
   ([[MediaWiki:Alreadyloggedin]]) in red and bold */&lt;br /&gt;
div.alreadyloggedin { color: red; font-weight: bold; }&lt;br /&gt;
&amp;lt;/source&amp;gt;&lt;br /&gt;
&lt;br /&gt;
* дублирует [http://ru.wikipedia.org/skins-1.5/monobook/main.css main.css]:&lt;br /&gt;
&amp;lt;source lang=css&amp;gt;&lt;br /&gt;
/* В меню навигация делаем подчеркивания, только при&lt;br /&gt;
наведении мыши, как в английском разделе */&lt;br /&gt;
&lt;br /&gt;
.portlet a {&lt;br /&gt;
   text-decoration: none;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.portlet a:hover {&lt;br /&gt;
   text-decoration: underline;&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/source&amp;gt;&lt;br /&gt;
&lt;br /&gt;
* в принципе дублирует [http://ru.wikipedia.org/skins-1.5/common/diff.css diff.css]:&lt;br /&gt;
&amp;lt;source lang=css&amp;gt;&lt;br /&gt;
/* Accessibility experiment: make diff changes not just colour-based */ &lt;br /&gt;
&lt;br /&gt;
.diffchange {&lt;br /&gt;
    font-weight: bold;&lt;br /&gt;
    background-color: inherit;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
td.diff-addedline, td.diff-deletedline, td.diff-context {&lt;br /&gt;
    font-size: 85%;&lt;br /&gt;
    color: inherit;&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/source&amp;gt;&lt;br /&gt;
&lt;br /&gt;
* не вижу таких buttons, да и в bg: такого кода (уже?) нет:&lt;br /&gt;
&amp;lt;source lang=css&amp;gt;&lt;br /&gt;
/* extra buttons for edit dialog (from bg:)*/&lt;br /&gt;
&lt;br /&gt;
 #my-buttons {&lt;br /&gt;
   padding: 0.5em;&lt;br /&gt;
 }&lt;br /&gt;
 #my-buttons a {&lt;br /&gt;
   color: black;&lt;br /&gt;
   background-color: #ccddee;&lt;br /&gt;
   font-weight: bold;&lt;br /&gt;
   font-size: 0.9em;&lt;br /&gt;
   text-decoration: none;&lt;br /&gt;
   border: thin #006699 outset;&lt;br /&gt;
   padding: 0 0.1em 0.1em 0.1em;&lt;br /&gt;
 }&lt;br /&gt;
 #my-buttons a:hover, #my-buttons a:active {&lt;br /&gt;
   background-color: #bbccdd;&lt;br /&gt;
   border-style: inset;&lt;br /&gt;
 }&lt;br /&gt;
&amp;lt;/source&amp;gt;&lt;br /&gt;
&lt;br /&gt;
* дублирует [[Mediawiki:Common.css]]&lt;br /&gt;
&amp;lt;source lang=css&amp;gt;&lt;br /&gt;
#disambig {&lt;br /&gt;
    border-top: 3px double #cccccc; &lt;br /&gt;
    border-bottom: 3px double #cccccc;&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/source&amp;gt;&lt;br /&gt;
&lt;br /&gt;
* все упоминания &amp;lt;code&amp;gt;#mytabs&amp;lt;/code&amp;gt;, видимо это что-то устаревшее&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
:Убрал всё вышеперечисленное, плюс следующий код, дублирующий [http://ru.wikipedia.org/skins-1.5/common/commonPrint.css commonPrint.css] [[User:Alex Smotrov|Alex Smotrov]] 22:33, 5 октября 2007 (UTC) &lt;br /&gt;
&amp;lt;source lang=css&amp;gt;&lt;br /&gt;
@media print {&lt;br /&gt;
  #content {background: white}&lt;br /&gt;
 .tright {clear: right} /* Bug 1583 */&lt;br /&gt;
}&lt;br /&gt;
.noprint {display: none}&lt;br /&gt;
&amp;lt;/source&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
==Вопросы==&lt;br /&gt;
* Зачем у нас дополнительное [http://ru.wikipedia.org/w/index.php?title=MediaWiki:Monobook.css&amp;amp;diff=614316&amp;amp;oldid=520588 большое расстояние] &amp;lt;code&amp;gt;h1.firstHeading { padding-top: .7em}&amp;lt;/code&amp;gt; над заголовком страницы? ∴ [[User:Alex Smotrov|Alex Smotrov]] 16:47, 4 октября 2007 (UTC)&lt;br /&gt;
&lt;br /&gt;
* Где используется &amp;lt;code&amp;gt;.notice&amp;lt;/code&amp;gt; ? ∴ [[User:Alex Smotrov|Alex Smotrov]] 16:47, 4 октября 2007 (UTC)&lt;br /&gt;
&lt;br /&gt;
* Какое отношение к закруглённым углам у Gecko имеет &amp;lt;code&amp;gt;.pBody {padding: 0.1em 0.1em }&amp;lt;/code&amp;gt; ? Из-за этого у нас bullets в меню слева так близко к левому краю. Думаю, в ближайшее поднимем вопрос на форуме, и будем удалять вместе с «закруглёнными углами» ∴ [[User:Alex Smotrov|Alex Smotrov]] 22:33, 5 октября 2007 (UTC)&lt;br /&gt;
&lt;br /&gt;
== Всё в одном месте ==&lt;br /&gt;
&lt;br /&gt;
Может быть, стоило перенести содержимое этого сообщения в [[MediaWiki:Common.css]]? - [[User:Innv|Innv]] 09:55, 12 мая 2008 (UTC)&lt;br /&gt;
:(Где-то, вероятно) есть участники, использующие другие темы оформления. В общем случае этот код будет для них бесполезным грузом или даже может что-то испортить. К примеру, &amp;lt;code&amp;gt;#ca-edit a {font-weight: bold}&amp;lt;/code&amp;gt;, делающий таб «править» выделенной, по-моему будет нехорошо смотреться например в оформлении «цыпа», где эта ссылка находится слева. Впрочем, предложения по переносу конкретных кусков кода можно обсудить. —[[User:Alex Smotrov|AlexSm]] 14:32, 12 мая 2008 (UTC)&lt;br /&gt;
:: Действительно, лучше пока оставить всё как есть. Но я посмотрю, какие части кода лучше перенести в общий файл. - [[User:Innv|Innv]] 06:10, 13 мая 2008 (UTC)&lt;br /&gt;
&lt;br /&gt;
== Маркеры списка ==&lt;br /&gt;
&lt;br /&gt;
Не нужно совсем убирать код для маркеров&lt;br /&gt;
&amp;lt;source lang=&amp;quot;css&amp;quot;&amp;gt;&lt;br /&gt;
/*compat. standard bullet*/&lt;br /&gt;
.portlet li { list-style-image: url(&amp;#039;//upload.wikimedia.org/wikipedia/en/1/18/Monobook-bullet.png&amp;#039;) }&lt;br /&gt;
&amp;lt;/source&amp;gt;&lt;br /&gt;
Его можно заменить на&lt;br /&gt;
&amp;lt;source lang=&amp;quot;css&amp;quot;&amp;gt;&lt;br /&gt;
/*compat. standard bullet*/&lt;br /&gt;
.portlet ul { list-style-image: url(&amp;#039;//upload.wikimedia.org/wikipedia/en/1/18/Monobook-bullet.png&amp;#039;) }&lt;br /&gt;
&amp;lt;/source&amp;gt;&lt;br /&gt;
— [[user:putnik|putnik]] 23:33, 8 марта 2013 (UTC)&lt;br /&gt;
&lt;br /&gt;
: Насколько я вижу, там сейчас всё-таки не «голый стандартный» маркер, а картинка, такая же как наш [[file:Monobook-bullet.png]], но задаваемая через &amp;lt;code&amp;gt;url(data:image/gif;base64...&amp;lt;/code&amp;gt;. Разница в том, что наше изображение чуть смещено влево и (как мне кажется) немного лучше согласуется со звёздочками хороших/избранных. Вопрос в том, существенна ли разница для того, чтобы возвращать наш прежний маркер, а если да - не смог бы кто-то взамен перерисовать звёздочки. — [[user:Alex Smotrov|AlexSm]] 23:59, 8 марта 2013 (UTC)&lt;br /&gt;
:: «Наш» маркер тоже можно через data:URI вставить. Пока звёздочки никто не перерисовал, предлагаю всё-таки вернуть как было. — [[user:putnik|putnik]] 10:45, 9 марта 2013 (UTC)&lt;br /&gt;
{{закрыто-конец}}&lt;/div&gt;</summary>
		<author><name>imported&gt;SunpriatBot</name></author>
	</entry>
</feed>